<?	// Preamble
	$pageName = "Files";
	$focused = "none";					// Dock icon name to gets a border
	require("parts/preamble.php");		// Load most of document
?>	

<H4>QuakeForge 0.1.1 (Feb. 27, 5:09 pm PT)</H4>
	<a href="http://download.sourceforge.net/quake/quakeforge-0.1.1.tar.gz">quakeforge-0.1.1.tar.gz (1.3MB)</A><BR>
	<a href="http://download.sourceforge.net/quake/quakeforge-0.1.1.tar.bz2">quakeforge-0.1.1.tar.bz2 (1.1MB)</A><BR>
	<a href="http://download.sourceforge.net/quake/quakeforge-0.1.1.zip">quakeforge-0.1.1.zip (1.6MB)</A><BR>

<H4>QuakeForge v991221 (Dec. 1999, Initial Release)</H4>
	<a href="http://www.sourceforge.net/download.php?fileid=958">q1-991221.tar.gz (2.7MB)</a>
	<br><a href="http://www.sourceforge.net/download.php?fileid=953">q1-991221.tar.bz2 (2.4MB)</a>
	<br><a href="http://www.sourceforge.net/download.php?fileid=947">q1source.zip (3MB)</a>

<p>
<h4>QuakeForge CVS Snapshots
<?
	$ftime = filemtime("files/qf-current-snapshot.tar.gz"); 
	echo "(" . date("M. j, g:i a", $ftime) . " PT)";
?>
</H4>
<a href="files/qf-current-snapshot.tar.gz">qf-current-snapshot.tar.gz
<?
	$size = filesize("files/qf-current-snapshot.tar.gz"); $size /= 1024;
	echo '(' . round($size) . ' KB)</A><BR>';
?>
<A href="files/qf-current-snapshot.tar.bz2">qf-current-snapshot.tar.bz2
<?
	$size = filesize("files/qf-current-snapshot.tar.bz2"); $size /= 1024;
	echo '(' . round($size) . ' KB)</A><BR>';
?>
<A href="files/qf_current_snapshot.zip">qf_current_snapshot.zip
<?
	$size = filesize("files/qf_current_snapshot.zip"); $size /= 1024;
	echo '(' . round($size) . ' KB)</A><BR>';
?>
<H4>QuakeForge Win32 Binaries
<?
	$ftime = filemtime("files/quakeforge-win32-current.zip"); 
	echo "(" . date("M. j, g:i a", $ftime) . " PT)";
?>
</H4>
<A href="files/quakeforge-win32-current.zip">quakeforge-win32-current.zip
<?
	$size = filesize("files/quakeforge-win32-current.zip"); $size /= 1024;
	echo '(' . round($size) . ' KB)</A><BR>';
?>
	Older CVS builds can be found <a href="ftp://quake.sourceforge.net/pub/quake/files/win32_builds">here</a>. 

<H4>Borland compiled QuakeForge Win32 bins</H4>
	Win32 QuakeForge binaries compiled using Borland C++ can be found <a href="http://personal.inet.fi/cool/quake1/">here</a>.

<H4>Quake Shareware files</H4>
	<A href="files/quake106.zip">Quake v1.06 (8.7MB)</A><BR>
	<A href="files/quake_sw.tar.gz">quake_sw.tar.gz w/ .exes and .dlls removed (8.3MB)</A>

<H4>Miscellaneous Files</H4>
	Grab Taniwha's pak util replacement <a href="http://www.taniwha.org/">here.</a>

<H4>Utilities</H4>

<H5>UNIX (Linux, FreeBSD, Solaris, IRIX, AIX, Tru64 Unix, etc.)</H5>
<UL>
	<LI>You can find a version of CVS on Cyclic's <a href="http://download.cyclic.com/pub/">ftp server</a>.</LI>
	<LI>Grab ssh 1.x so you can access shell1.sourceforge.net. You can get either <a href="http://www.openssh.org">OpenSSH</a> or a less free <a href="ftp://ftp.cs.hut.fi/pub/ssh/">SSH</A></LI>
	<LI><a href="http://home.earthlink.net/~nawalker/pharmacy/">Pharmacy</a> is a GUI front-end to CVS in X11, it looks quite useful.</LI>
	<LI>Get a copy of the latest GCC compiler (latest is GCC v2.95): <a href="ftp://ftp.gnu.org/pub/gnu/gcc">ftp://ftp.gnu.org/pub/gnu/gcc</a></LI>
	<LI>The GPL Quest Map editor which can edit Quake maps and runs on multiple OSs has a Linux version in the Quest project's CVS tree, <a href="files/quest-linux.tar.gz">this</a> is a tweaked version by Nelson Rush (palisade) which fixes a lot of the problems inherent in the CVS version. You have to edit the quest.cfg before using it. <a href="mailto:palisade@quakeforge.net">Email</a> Palisade for questions or comments.</LI>
</UL>

<H5>Windows 95/98/NT/2K and DOS</H5>
<UL>
	<LI>For Windows users, <a href="http://www.chiark.greenend.org.uk/~sgtatham/putty/">Putty</a> is a good program that will allow you to telnet into your shell1.sourceforge.net account using SSH 1.x.</LI>
	<LI>There is a port of unix cvs, ssh and scp to Windows (console only) <a href="http://bmrc.berkeley.edu/people/chaffee/winntutil.html#sshnt">here</a>.</LI>
	<LI>Grab <a href="files/sscp.bat">Palisade's batch file</a> to make using the Windows commandline port of scp with sourceforge easier.</LI>
	<LI>Grab <a href="files/runme.bat">Palisade's batch file</a> to properly set up the Windows commandline port for ssh and cvs.</LI>
	<LI>You can find WinCVS here: <a href="http://www.wincvs.org">http://www.wincvs.org/</a>.</LI>
	<LI>Some useful gnu tools for Win9x/NT users are here: <a href="ftp://ftp.fe.up.pt/pub/Projectos/em96115/gnu-win32/misc">ftp://ftp.fe.up.pt/pub/Projectos/em96115/gnu-win32/misc</a>.<br><li>Cygnus GNU GCC Environment for Win32 is here: <a href="http://sourceware.cygnus.com/cygwin">http://sourceware.cygnus.com/cygwin</a>.</LI>
	<LI>DJGPP - 32-bit DOS port of GCC 2.95 compiler can be found <a href="http://www.delorie.com/djgpp">here</a>.</LI>
	<LI>There is a cvs port for DOS <a href="ftp://ftp.cdrom.com/pub/simtelnet/gnu/djgpp/v2gnu/">here</a> which requires <a href="ftp://ftp.cdrom.com/pub/simtelnet/gnu/djgpp/v2misc/">cwsdpmi</a> but there is no known ssh port. Sourceforge requires cvs to use ssh to login.</LI>
</UL>

<H5>BeOS</H5>
<UL>
	<LI>SSH for BeOS is here: <a href="http://www.be.com/software/beware/network/ssh.html">http://www.be.com/software/beware/network/ssh.html</a>.</LI>
	<LI>The Egcs/GCC tool set (includes CVS) for BeOS can be found here: <a href="http://www.be.com/software/beware/development/gccegcs.html">http://www.be.com/software/beware/development/gccegcs.html</a></LI>
</UL>

<H5>MacOS</H5>
<UL>
	<LI>You can find MacCVS and WinCVS here: <a href="http://www.wincvs.org">http://www.wincvs.org</a></LI>
	<LI>There are currently two different SSH clients for Mac: <a href="http://www.lysator.liu.se/~jonasw/download/niftytelnet-1.1-ssh-r3.hqx">Nifty Telnet SSH</a> and <a href="http://www.DataFellows.com/f-secure/ssh/mac/download.htm">F-Secure SSH Client</a>.</LI>
</UL>

<H5>OS/2</H5>

<UL>
	<LI>You can find a ssh program <a href="ftp://ftp.cs.hut.fi/pub/ssh/os2/">here</a>.</LI>
	<LI>Cyclic has CVS for OS/2 <a href="http://download.cyclic.com/pub/os2/">here</a>.</LI>
</UL>

<H5>Multiplatform Tools</H5>
<UL>
	<LI>The Mesa 3D Graphics Library: <a href="http://www.mesa3d.org">http://www.mesa3d.org</a>.</LI>
	<LI>Simple DirectMedia Layer: <a href="http://www.devolution.com/~slouken/SDL">http://www.devolution.com/~slouken/SDL</a></LI>
	<LI>The latest SciTech MGL library can be found	<a href=" http://www.scitechsoft.com/dp_mgl.html">here</a>.</LI>
	<LI>Multiplatform free SSH programs <a href="http://www.freessh.org/">website</a>.</LI>
</UL>

<H5>Important Links</H5>
<UL>
	<LI>The SSH information resource project at <a href="http://www.sans.org/newlook/resources/ssh.htm">SANS Institute</a>.</LI>
</UL>
<!--NOSEARCH-->
<?
	require("parts/postamble.php"); 	// Finish this sucker up
?>
